curl https://rotastellar-cae.subhadip-mitra.workers.dev/v1/plan/a92f33e8-a349-494c-8b4e-f87d859b9ec5/events \
-H "Origin: https://rotastellar.com"
{
"plan_id": "a92f33e8-a349-494c-8b4e-f87d859b9ec5",
"events": [
{
"type": "job.accepted",
"timestamp_s": 0,
"message": "Workload accepted: On-Board ML Inference"
},
{
"type": "placement.decided",
"timestamp_s": 0,
"step_id": "capture",
"location": "onboard",
"message": "Step 'capture' placed on-board"
},
{
"type": "step.started",
"timestamp_s": 0,
"step_id": "capture",
"message": "Starting Sensor Data Capture"
},
{
"type": "step.completed",
"timestamp_s": 30,
"step_id": "capture",
"output_data_mb": 2000,
"message": "Completed Sensor Data Capture"
},
{
"type": "transfer.started",
"timestamp_s": 170,
"direction": "downlink",
"data_mb": 11.03,
"message": "Starting downlink transfer"
},
{
"type": "job.completed",
"timestamp_s": 1382,
"message": "Pipeline completed successfully",
"delivery_confidence": 0.997
}
],
"count": 73
}
Get the simulated execution event stream for a plan
curl https://rotastellar-cae.subhadip-mitra.workers.dev/v1/plan/a92f33e8-a349-494c-8b4e-f87d859b9ec5/events \
-H "Origin: https://rotastellar.com"
{
"plan_id": "a92f33e8-a349-494c-8b4e-f87d859b9ec5",
"events": [
{
"type": "job.accepted",
"timestamp_s": 0,
"message": "Workload accepted: On-Board ML Inference"
},
{
"type": "placement.decided",
"timestamp_s": 0,
"step_id": "capture",
"location": "onboard",
"message": "Step 'capture' placed on-board"
},
{
"type": "step.started",
"timestamp_s": 0,
"step_id": "capture",
"message": "Starting Sensor Data Capture"
},
{
"type": "step.completed",
"timestamp_s": 30,
"step_id": "capture",
"output_data_mb": 2000,
"message": "Completed Sensor Data Capture"
},
{
"type": "transfer.started",
"timestamp_s": 170,
"direction": "downlink",
"data_mb": 11.03,
"message": "Starting downlink transfer"
},
{
"type": "job.completed",
"timestamp_s": 1382,
"message": "Pipeline completed successfully",
"delivery_confidence": 0.997
}
],
"count": 73
}
https://rotastellar-cae.subhadip-mitra.workers.dev
ā No API key required. Plans expire after 1 hour.POST /v1/plan.curl https://rotastellar-cae.subhadip-mitra.workers.dev/v1/plan/a92f33e8-a349-494c-8b4e-f87d859b9ec5/events \
-H "Origin: https://rotastellar.com"
{
"plan_id": "a92f33e8-a349-494c-8b4e-f87d859b9ec5",
"events": [
{
"type": "job.accepted",
"timestamp_s": 0,
"message": "Workload accepted: On-Board ML Inference"
},
{
"type": "placement.decided",
"timestamp_s": 0,
"step_id": "capture",
"location": "onboard",
"message": "Step 'capture' placed on-board"
},
{
"type": "step.started",
"timestamp_s": 0,
"step_id": "capture",
"message": "Starting Sensor Data Capture"
},
{
"type": "step.completed",
"timestamp_s": 30,
"step_id": "capture",
"output_data_mb": 2000,
"message": "Completed Sensor Data Capture"
},
{
"type": "transfer.started",
"timestamp_s": 170,
"direction": "downlink",
"data_mb": 11.03,
"message": "Starting downlink transfer"
},
{
"type": "job.completed",
"timestamp_s": 1382,
"message": "Pipeline completed successfully",
"delivery_confidence": 0.997
}
],
"count": 73
}